Bug 202806 - multimedia/mpv: drop INSTALLS_ICONS
Summary: multimedia/mpv: drop INSTALLS_ICONS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2015-09-01 05:58 UTC by Jan Beich
Modified: 2015-11-23 02:21 UTC (History)
1 user (show)

See Also:
cjpm: maintainer-feedback+


Attachments
v1 (616 bytes, patch)
2015-09-01 05:58 UTC, Jan Beich
no flags Details | Diff
QA: poudriere bulk -t -j 93i386 (67.95 KB, text/plain)
2015-09-01 05:59 UTC, Jan Beich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2015-09-01 05:58:14 UTC
Created attachment 160576 [details]
v1

See ports r390886. mpv works fine in a minimalistic X11 environment without any GUI toolkit installed. No need to pull unnecessary dependencies when there's no USE_GNOME=gtk* in Makefile.
Comment 1 Jan Beich freebsd_committer 2015-09-01 05:59:04 UTC
Created attachment 160577 [details]
QA: poudriere bulk -t -j 93i386
Comment 2 Jan Beich freebsd_committer 2015-09-01 06:48:31 UTC
So, Qt5 GUI no longer brings Gtk+2 deps:

# On a poudriere jail just after pkg(8) bootstrap
$ pkg install -n baka-mplayer
Updating FreeBSD repository catalogue...
FreeBSD repository is up-to-date.
All repositories are up-to-date.
Checking integrity... done (0 conflicting)
The following 122 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        baka-mplayer: 2.0.3_1
        qt5-x11extras: 5.4.1
        qt5-widgets: 5.4.1
        libX11: 1.6.2_3,1
        xproto: 7.0.27
        libxcb: 1.11_1
        libXdmcp: 1.1.2
        libXau: 1.0.8_3
        libxml2: 2.9.2_3
        libiconv: 1.14_8
        libpthread-stubs: 0.3_6
        kbproto: 1.0.6
        qt5-gui: 5.4.1_2
        xcb-util-wm: 0.4.1_3
        xcb-util: 0.4.0_1,1
        xcb-util-renderutil: 0.3.9_1
        xcb-util-keysyms: 0.4.0_1
        xcb-util-image: 0.4.0_1
        libxkbcommon: 0.5.0_1
        libXrender: 0.9.8_3
        renderproto: 0.11.1
        libXi: 1.7.4_1,1
        libXfixes: 5.0.1_3
        fixesproto: 5.0
        libXext: 1.3.3_1,1
        xextproto: 7.3.0
        inputproto: 2.3.1
        xorg-fonts-truetype: 7.7_1
        font-misc-meltho: 1.0.3_3
        mkfontscale: 1.1.2
        libfontenc: 1.1.2_3
        freetype2: 2.6_1
        mkfontdir: 1.0.7
        fontconfig: 2.11.1,1
        expat: 2.1.0_3
        font-misc-ethiopic: 1.0.3_3
        font-bh-ttf: 1.0.3_3
        encodings: 1.0.4_3,1
        font-util: 1.3.1
        dejavu: 2.35
        harfbuzz: 1.0.1
        graphite2: 1.3.0_1
        cairo: 1.14.2,2
        pixman: 0.32.6_1
        glproto: 1.4.17
        dri2proto: 2.8
        png: 1.6.18
        libGL: 9.1.7_4
        libxshmfence: 1.2
        libXxf86vm: 1.1.4_1
        xf86vidmodeproto: 2.3.1
        libXdamage: 1.1.4_3
        damageproto: 1.2.1
        libglapi: 9.1.7_2
        libdrm: 2.4.60,1
        libpciaccess: 0.13.3
        pciids: 20150731
        libdevq: 0.0.2_1
        libEGL: 9.1.7_5
        glib: 2.44.1_1
        python27: 2.7.10
        libffi: 3.2.1
        indexinfo: 0.2.3
        gettext-runtime: 0.19.5.1
        perl5: 5.20.2_6
        pcre: 8.37_4
        icu: 55.1
        jpeg: 8_6
        xdg-utils: 1.0.2.20130919_1
        xset: 1.2.3_1
        libXmu: 1.1.2_3,1
        libXt: 1.1.4_3,1
        libSM: 1.2.2_3,1
        libICE: 1.0.9_1,1
        libXfontcache: 1.0.5_3
        fontcacheproto: 0.1.3
        xprop: 1.2.2
        hicolor-icon-theme: 0.15
        qt5-core: 5.4.1_2
        libexecinfo: 1.1_3
        qt5-dbus: 5.4.1
        dbus: 1.8.20
        gnome_subr: 1.0
        qt5-network: 5.4.1
        ca_root_nss: 3.20
        mpv: 0.9.2_8,1
        libXv: 1.0.10_3,1
        videoproto: 2.3.2
        libdvdread: 5.0.3
        libdvdnav: 5.0.3
        libass: 0.12.1_1
        fribidi: 0.19.2_3
        enca: 1.13_1
        recode: 3.6_12
        p5-Unicode-Map8: 0.13_1
        p5-Unicode-String: 2.09_1
        ffmpeg: 2.7.2_1,1
        gnutls: 3.3.17.1
        trousers-tddl: 0.3.10_7
        p11-kit: 0.23.1_1
        libtasn1: 4.5_1
        nettle: 2.7.1
        gmp: 5.1.3_2
        libidn: 1.31
        xvid: 1.3.2,1
        schroedinger: 1.0.11_4
        orc: 0.4.24_1
        libx264: 0.144.2533_1
        libvpx: 1.4.0.488
        libtheora: 1.1.1_6
        libvorbis: 1.3.5,3
        libogg: 1.3.2_1,4
        opencv-core: 2.4.9_3
        lua52: 5.2.4
        libedit: 3.1.20150325_1
        desktop-file-utils: 0.22_3
        gcc: 4.8.5
        mpfr: 3.1.2_2
        mpc: 1.0.3
        binutils: 2.25.1
        qt5-svg: 5.4.1
        qt5-xml: 5.4.1

The process will require 520 MiB more space.
Comment 3 Carlos J Puga Medina 2015-09-01 09:57:40 UTC
Comment on attachment 160576 [details]
v1

I give you my approval ;)

Thanks!
Comment 4 commit-hook freebsd_committer 2015-09-01 14:29:11 UTC
A commit references this bug:

Author: jbeich
Date: Tue Sep  1 14:28:40 UTC 2015
New revision: 395763
URL: https://svnweb.freebsd.org/changeset/ports/395763

Log:
  multimedia/mpv: drop INSTALLS_ICONS per r390886

  mpv works fine in a minimalistic X11 environment without any GUI toolkit
  installed. No need to pull unnecessary dependencies when there's no
  USE_GNOME=gtk* in Makefile.

  PR:		202806
  Approved by:	Carlos J Puga Medina <cpm@fbsd.es> (maintainer)

Changes:
  head/multimedia/mpv/Makefile
Comment 5 Jan Beich freebsd_committer 2015-09-01 14:30:28 UTC
Thanks. Committed.
Comment 6 Carlos J Puga Medina 2015-09-02 07:53:48 UTC
If someone need to install multimedia/mpv with ICONS:

Add an specific conditional option in /etc/make.conf

.if ${.CURDIR:M*/multimedia/mpv}
INSTALLS_ICONS=yes
.endif
Comment 7 commit-hook freebsd_committer 2015-09-04 12:21:49 UTC
A commit references this bug:

Author: pi
Date: Fri Sep  4 12:21:47 UTC 2015
New revision: 396084
URL: https://svnweb.freebsd.org/changeset/ports/396084

Log:
  multimedia/mpv: remove INSTALLS_ICONS

  PR:		202806
  Approved by:	Carlos J Puga Medina <cpm@fbsd.es>

Changes:
  head/multimedia/mpv/Makefile
Comment 8 commit-hook freebsd_committer 2015-11-23 02:21:52 UTC
A commit references this bug:

Author: junovitch
Date: Mon Nov 23 02:21:09 UTC 2015
New revision: 402254
URL: https://svnweb.freebsd.org/changeset/ports/402254

Log:
  multimedia/mpv: address regressions from r402235 and r402236

  - Remove INSTALLS_ICONS (see r395763 commit message)
  - Set YTDL option as RUN_DEPENDS (see r402130 commit message)

  PR:		202806
  PR:		202337
  PR:             204599
  Reported by:	jbeich
  Approved by:	cpm (implicit from bug 202337 and 202806 approvals)

Changes:
  head/multimedia/mpv/Makefile